Package org.eclipse.jface.text.codemining

# Class LineContentCodeMining

java.lang.Object
org.eclipse.jface.text.codemining.AbstractCodeMining
org.eclipse.jface.text.codemining.LineContentCodeMining

All Implemented Interfaces:
  `ICodeMining`

Direct Known Subclasses:
  `LineEndCodeMining`

public abstract class LineContentCodeMining extends AbstractCodeMining
Abstract class for line content code mining.

Since:
  3.13

## Constructor Summary

Constructors
Constructor
Description
`LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider)`
CodeMining constructor to locate the code mining in a given position.
`LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
`LineContentCodeMining(Position position, ICodeMiningProvider provider)`
CodeMining constructor to locate the code mining in a given position.
`LineContentCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAfterPosition()`
indicates if code mining should be rendered after given position; cursor and selection does not include the code mining if set to true.

### Methods inherited from class org.eclipse.jface.text.codemining.AbstractCodeMining

`dispose, doResolve, draw, getAction, getLabel, getPosition, getProvider, isResolved, resolve, setLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineContentCodeMining

public LineContentCodeMining(Position position, ICodeMiningProvider provider)
CodeMining constructor to locate the code mining in a given position.

Parameters:
  `position` - the position where the mining must be drawn.
  `provider` - the owner codemining provider which creates this mining.

### LineContentCodeMining

public LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider)
CodeMining constructor to locate the code mining in a given position.

Parameters:
  `position` - the position where the mining must be drawn.
  `afterPosition` - if true code mining is treated as suffix code mining where cursor and selection is not including the mining
  `provider` - the owner codemining provider which creates this mining.
Since:
  3.26

### LineContentCodeMining

public LineContentCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)
CodeMining constructor to locate the code mining in a given position.

Parameters:
  `position` - the position where the mining must be drawn.
  `provider` - the owner codemining provider which creates this mining.
  `action` - the action to execute when mining is clicked and null otherwise.

### LineContentCodeMining

public LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider, Consumer<MouseEvent> action)
CodeMining constructor to locate the code mining in a given position.

Parameters:
  `position` - the position where the mining must be drawn.
  `provider` - the owner codemining provider which creates this mining.
  `action` - the action to execute when mining is clicked and null otherwise.
  `afterPosition` - if true code mining is treated as suffix code mining where cursor and selection is not including the mining
Since:
  3.26

## Method Details

### isAfterPosition

public boolean isAfterPosition()
indicates if code mining should be rendered after given position; cursor and selection does not include the code mining if set to true.

Since:
  3.26